[11:58, 24/11/2019] Dzigljavi?: #include <stdlib.h>
#include<stdio.h>
using namespace std;

int main() {
    unsigned A,N,sr,r1,r2;
    
    scanf("%u%u",&N,&A);

    sr=N-2*A;
    if(3*A > N)printf("-1");
    else if(3*A<N){
    	if(sr%2==0){
        	r1=(sr/2)+1;
        	r2=(sr/2)-1;
        	printf("%u  0\n%u  0\n%u  %u",A,A,r1,r2);
    	}
    	else{
        	r1=(sr/2)+1;
        	r2=(sr/2)-1;
        	printf("%u  1\n%u  0\n%u  %u",A,A,r1,r2);
    	}
           
     }
    else printf("%u  0\n%u  0\n%u  0",A,A,A);

  return 0;
}